#!/bin/sh

# ver tema version

# MAKE = dwld tar configure ....
# ver hasta donde llego dwld|tar|configure|all|srcinstall|install
# ver tema de builddeps, pero no aca, antes de llamar a esto

# system("/bin/sh $packlet/source.sh $site $pname$gversion $ext $esdebian $pack $make");      
# ver tema patchs

PACKS=$5 
#esto mejor que sea el mismo o lo tome de una configuracion
CAMBIADIR=$4
EXT=$3
NAME=$2
DIR=$2
ADDR=$1
MAKE=$6

PACKLET=`echo $0 | sed 's/\/source.sh$//'`

#echo mmm $ADDR m $DIR m $EXT m $CAMBIADIR m $PACKS m $MAKE

#ver que se hace con paquetes last, si incorporarlos en la busqueda de babel o traer .summa
#manejando html
if test "x$CAMBIADIR" = x1; then
  DIR=`echo $DIR|sed s/_/-/`
elif test "x$CAMBIADIR" = xS; then
    NAMEP=`echo $NAME|cut -d- -f1`
#    echo   $PACKS $ADDR $NAMEP
    wget -P$PACKS -c $ADDR$NAMEP.summa
    wget -P$PACKS -c $ADDR$NAMEP.version
#.   $PACKS/$ADDR$NAMEP.summa
    VERSION=`cat  $PACKS/$NAMEP.version`
#   echo BASEVERSION=$BASEVERSION 
    DIR="$NAMEP-$VERSION"
#    echo VERSION $VERSION DIR $DIR
elif test "x$CAMBIADIR" = x0 ; then
     echo nada
else
  DIR=$CAMBIADIR
fi
 
mkdir -p $PACKS/$DIR
######rm -r $PACKS/$DIR/* le sacamos /tmp/ al comienzo, para rm era necesario
# no hace falta borrar, es un directorio diferente por version
DIRACT=`pwd`


if test -d $PACKS/$DIR; then

 if test ! -e $PACKS/$NAME$EXT; then
    wget -P$PACKS -c $ADDR$NAME$EXT
 fi
 if test "x$EXT" = "x.tar.gz"; then  
   tar -zxf $PACKS/$NAME$EXT -C$PACKS
  else
   tar -jxf $PACKS/$NAME$EXT -C$PACKS
 fi
fi
  
echo cd $PACKS/$DIR
cd $PACKS/$DIR


if test "x$PACKLET" = "x`echo $PACKLET | sed 's/^\///'`" ; then
  echo PR  /bin/sh $DIRACT/$PACKLET/comain.sh $MAKE
  /bin/sh $DIRACT/$PACKLET/comain.sh $MAKE
else
  echo PA /bin/sh $PACKLET/comain.sh $MAKE
  /bin/sh $PACKLET/comain.sh $MAKE
fi

cd $DIRACT
